"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResultModel = void 0;
const lodash_1 = require("lodash");
const enums_1 = require("../../enums");
const StylishLogger_1 = require("../StylishLogger");
class ResultModel extends StylishLogger_1.StylishLogger {
    constructor(files = [], hasError = false, hasWarning = false, logger = console) {
        super(logger, hasError ? enums_1.ErrorTypes.error : enums_1.ErrorTypes.warning);
        this.message = `Find missing translation keys in project`;
        this.files = files;
        this.hasError = hasError;
        this.hasWarning = hasWarning;
    }
    printResult() {
        if (this.files.length !== 0) {
            this.printMessage(`${this.message}\n`);
            this.files.forEach((file) => {
                this.printMessage(`\n\t${file.message()}\n`, file.errorType);
                file.errors.forEach((error) => {
                    lodash_1.isArray(error.message())
                        ? error.message().map((message) => {
                            this.printMessage(`\t\t${message}\n`, error.errorType);
                        })
                        : this.printMessage(`\t\t${error.message()}\n`, error.errorType);
                });
            });
        }
    }
}
exports.ResultModel = ResultModel;
//# sourceMappingURL=ResultModel.js.map