"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AstIsNgxTranslateImportedRule = void 0;
const config_1 = require("../../config");
const models_1 = require("../../models");
const enums_1 = require("../../enums");
class AstIsNgxTranslateImportedRule {
    constructor(directives = [], handler = config_1.config.defaultValues.rules.ast && config_1.config.defaultValues.rules.ast.isNgxTranslateImported ? config_1.config.defaultValues.rules.ast.isNgxTranslateImported : enums_1.ErrorTypes.disable, flow = enums_1.ErrorFlow.astIsNgxTranslateImported) {
        this.flow = flow;
        this.handler = handler;
        this.modules = directives;
    }
    check(projectPath) {
        let isNgxTranslateImported = false;
        const result = [];
        this.modules.forEach((module) => {
            const moduleImports = module.getImports();
            moduleImports === null || moduleImports === void 0 ? void 0 : moduleImports.forEach((importedModule) => {
                if (importedModule.node.name.escapedText === 'TranslateModule') {
                    isNgxTranslateImported = true;
                }
            });
        });
        if (!isNgxTranslateImported) {
            const error = new models_1.ResultErrorModel('', this.flow, this.handler, projectPath);
            result.push(error);
        }
        return result;
    }
}
exports.AstIsNgxTranslateImportedRule = AstIsNgxTranslateImportedRule;
//# sourceMappingURL=IsNgxTranslateImportedAstRule.js.map